﻿using NDB.Infrastructure.DatabaseMigration.Constants;
using NDB.Infrastructure.DatabaseMigration.Entities;
using System.Threading.Tasks;

namespace NDB.Infrastructure.DatabaseMigration.Repositories
{
    internal interface IMigrationRepository
    {
        Task ExecuteSqlRaw(string sqlRaw);
        Task<bool> MigrationTablesAreSet(DatabaseType databaseType);
        Task<MigrationSignature> GetLastMigrationSignature();
        Task AddMigrationSignature(MigrationSignature migrationSignature);
    }
}
